:root {
    --hex-info-txt-black: rgba(0, 0, 0, 0.72);
    --hex-info-txt-white: rgba(255, 255, 255, 0.72);
}

.col-dsc-sm {
    color: var(--systemTertiary);
    font-size: var(--h6-fontSize);
    font-weight: 200;
    line-height: 1.4;
}

.col-dsc-code {
    font-size: var(--h6-fontSize);
    font-weight: 200;
    line-height: 1.6;

    background-color: var(--system-bg-secondary);
    color: var(--customCoral);
    border-radius: var(--systemSpacing-4);
    padding: var(--systemSpacing-2) var(--systemSpacing-8);

    font-family: "Roboto Mono", monospace;
    font-optical-sizing: auto;
    font-style: normal;
    font-variation-settings: "wght" 400, "wdth" 100, "opsz" 8;
}

.dsc-sm-link {
    color: var(--systemTertiary);
    font-size: var(--h6-fontSize);
    font-weight: 200;
    line-height: 1.4;
    text-decoration: underline;
}

.dsc-sm-link:hover {
    text-decoration: none;
}

.dsc-sm-code {
    font-size: var(--p-fontSize);
    background-color: var(--system-bg-secondary);
    color: var(--customCoral);
    border-radius: var(--systemSpacing-4);
    padding: var(--systemSpacing-2) var(--systemSpacing-8);

    font-family: "Roboto Mono", monospace;
    font-optical-sizing: auto;
    font-style: normal;
    font-variation-settings: "wght" 400, "wdth" 100, "opsz" 8;
}

.img-portrait {
    display: none;
}


/* */
/* colour combination */

.colour-combination-wrp {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.colour-combination {
    width: 100%;
    height: var(--systemSpacing-320);
    position: relative;
}

.hex-info-txt {
    position: absolute;
    right: var(--systemSpacing-20);
    bottom: var(--systemSpacing-20);

    font-size: var(--p-fontSize);
    font-variation-settings: "wght" 500, "wdth" 100, "opsz" 8;
    text-transform: uppercase;
}

.hex-info-txt-white {
    color: var(--hex-info-txt-white);
}

.hex-info-txt-black {
    color: var(--hex-info-txt-black);
}



/**/

/* */

@media screen and (max-width: 960px) {

    .img-portrait {
        display: block;
    }

    .img-landscape {
        display: none;
    }

    .colour-combination {
        height: var(--systemSpacing-280);
    }
    
    .hex-info-txt {
        font-size: var(--ch-fontSize);
    }
}

@media screen and (max-width: 600px) {

    .col-dsc-sm {
        font-size: var(--p-fontSize);
    }

    .dsc-sm-link {
        font-size: var(--p-fontSize);
    }

    .dsc-sm-code {
        font-size: var(--ch-fontSize);
    }

    .col-dsc-code {
        font-size: var(--ch-fontSize);
    }

    /* */
    /* colour combinations */

    .colour-combination {
        height: var(--systemSpacing-240);
    }
    
    .hex-info-txt {
        font-size: var(--c1-fontSize);
    }
}